bcr_test_module:
  module_path: "examples"
  matrix:
    platform: [ "macos", "ubuntu2004", "windows" ]
    # DWYU supports Bazel 5.4.0, but only via WORKSPACE
    bazel: [ "6.x", "7.x", "rolling" ]
  tasks:
    verify_examples:
      name: "Verify examples"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      shell_commands:
        - python test.py
